com.digi.xbee.api.exceptions

## Class XBeeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.digi.xbee.api.exceptions.XBeeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CommunicationException, ConnectionException, XBeeDeviceException

      public class XBeeException
      extends Exception

  Generic XBee API exception. This class and its subclasses indicate conditions that an application might want to catch. This exception can be thrown when any problem related to the XBee device occurs.
  See Also:
    `Exception`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBeeException()` Creates an `XBeeException` with `null` as its error detail message.
    `XBeeException(String message)` Creates an `XBeeException` with the specified message.
    `XBeeException(String message, Throwable cause)` Creates an `XBeeException` with the specified message and cause.
    `XBeeException(Throwable cause)` Creates an `XBeeException` with the specified cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBeeException

          public XBeeException()

      Creates an `XBeeException` with `null` as its error detail message.

    - #### XBeeException

          public XBeeException(String message)

      Creates an `XBeeException` with the specified message.
      Parameters:
        `message` - The associated message.

    - #### XBeeException

          public XBeeException(String message,
                       Throwable cause)

      Creates an `XBeeException` with the specified message and cause.
      Parameters:
        `message` - The associated message.
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

    - #### XBeeException

          public XBeeException(Throwable cause)

      Creates an `XBeeException` with the specified cause.
      Parameters:
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Overrides:
        `getCause` in class `Throwable`

© Copyright 2014–2014 Digi International Inc. All rights reserved.